<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <form action="" name="formulario" method="get" >
        <input type="text" name="nombre" id="nombre" maxlength="30" aria-placeholder="Nombre:">
        <br>
        <input type="radio" name="sexo" id="hombre" value="Hombre">Hombre
        <input type="radio" name="sexo" id="mujer" value="Mujer">Mujer
        <br>
        <input type="checkbox" name="terminos" id="terminos">Terminos y Condiciones
        <br>
        <input type="submit" id="btn" name="btn" value="Enviar">
    </form>
    <script>
        (function(){
            var formulario=document.getElementsByName('formulario')[0],
                elementos=formulario.elementos;
                boton=document.getElementById('btn');
            
            var validarNombre=function(e){
                if(formulario.nombre.value==0){
                    alert("completa el campo nombre");
                    e.preventDefault();
                }
            }; 
            var validaRadio=function(e){
                if(formulario.sexo[0].checked==true || formulario.sexo[1].checked==true ){
                }else{
                    alert("completa el campo sexo");
                    e.preventDefault();
                }
            }
            var validarCheckbox=function(e){
                if(formulario.terminos.checked==false){
                    alert("Acepta los Terminos y condiciones");
                    e.preventDefault();
                }
            }

            var validar =function(e){
                validarNombre(e);
                validaRadio(e);
                validarCheckbox(e);
            };
            formulario.addEventListener("submit",validar);    

        }())
    
    </script>
</body>
</html>